org.jboss.resteasy.plugins.interceptors.encoding

## Class GZIPDecodingInterceptor.FinishableGZIPInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.util.zip.InflaterInputStream
      - - java.util.zip.GZIPInputStream
        - - org.jboss.resteasy.plugins.interceptors.encoding.GZIPDecodingInterceptor.FinishableGZIPInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Enclosing class:
    GZIPDecodingInterceptor

      public static class GZIPDecodingInterceptor.FinishableGZIPInputStream
      extends GZIPInputStream

- - ### Field Summary

    - ### Fields inherited from class java.util.zip.GZIPInputStream

      `crc, eos, GZIP_MAGIC`

    - ### Fields inherited from class java.util.zip.InflaterInputStream

      `buf, inf, len`

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GZIPDecodingInterceptor.FinishableGZIPInputStream(InputStream is)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finish()`

    - ### Methods inherited from class java.util.zip.GZIPInputStream

      `close, read`

    - ### Methods inherited from class java.util.zip.InflaterInputStream

      `available, fill, mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.io.FilterInputStream

      `read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GZIPDecodingInterceptor.FinishableGZIPInputStream

          public GZIPDecodingInterceptor.FinishableGZIPInputStream(InputStream is)
                                                            throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### finish

          public void finish()

Copyright © 2014. All Rights Reserved.